﻿
.control-label {
    text-align: right !important;
    font-size: 14px;
    /*font-family: Microsoft JhengHei;*/
    padding-top: 7px !important;
    padding-bottom: 2px;
}

/*.table > thead > tr > th, .table > tbody > tr > td {
    text-align: center !important;
    font-size: 14px !important;
    vertical-align:middle !important;
}*/

.selectCustom {
    /*height:40px;*/
    font-size:14px;
}

.textCustom {
    height: 32px !important;
    font-size: 14px;
}


.CustText {
    font-size: 14px !important;
    /*font-family: Microsoft JhengHei;*/
}

legend {
    margin-bottom: 0;
}

.jarviswidget > header > h2 {
    font-size: 14px !important;
    /*font-family: Microsoft JhengHei;*/
}

.selectTr {
    background-color: #c5eab9 !important;
}

.padding-top-5 {
    padding-top:10px;
}

.requiredItem {
    color:red !important;
    font-weight:bold;
}

.popover {
  z-index: 215000000 !important;
}

table.dataTable tbody tr.selected {
    background-color : #FFEE99;
}

.CustText label {
    font-weight:bolder;
    font-size:14px !important;
}

.label-right {
    text-align:right !important;
}


/*table scorllY and fix header*/
.table-wrapper-scroll-y {
    display: block;
    max-height: 200px;
    overflow-y: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

.table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td {
    padding: 5px 10px !important;
    text-align: center;
    font-size: 14px !important;
/*    font-weight: bolder;*/
    vertical-align: middle !important;
}

@media (min-width: 1200px) {
    .container {
        width: 90% !important;
        max-width: none;
    }
}

#td_search.table > thead > tr > th {
    padding: 10px 0px !important;
    text-align: center !important;
    font-size: 40px !important;
    font-weight:bolder;
    vertical-align: middle !important;
    background-image: linear-gradient(to bottom,#ffffff,#b6cefb);
    /*background-color:#c4e3f5 !important*/
}

.table > tr{
    border-color:rgba(191, 237, 250, 0.38) !important;
}

.btn {
    /*padding: 5px 6px !important;*/
    font-size: 14px !important;
    border-radius: 4px;
}

.form-control{
    font-size: 14px !important;
    color:#000000 !important;
}

body{
    color:#000000 !important;
    font-family:Microsoft JhengHei !important;
}

.smart-form fieldset{
    padding:5px 14px 5px !important;
}

.well{
    background-color:#ffffff !important;
    padding:2px 19px !important;
}

#ribbon{
    background-color:#000000 !important;
}

.jarviswidget-color-blueDark>header, .jarviswidget-color-darken>header {

    background:#000000 !important;
    border-color: #000000 !important;
}

/*nav>ul>li>a>i{
    width:15px !important;
}*/

aside{
    background:#000000 !important;
}

.login-info > span {
    border-bottom :1px solid #000000 !important;
}

.login-info{
    border-bottom :1px solid #000000 !important;
}

.page-footer {
    background: #000000 !important;
}

.jarviswidget .widget-body{
    min-height:10px !important;
}

.control-label{
    padding-bottom:0px !important;
    font-weight:900;
}

.jarviswidget{
    margin:0 0 5px !important;
}



.custom_icon {
    font-size:20px !important;
}

.table>thead>tr>th{
    border-bottom:1px solid #fff !important;/*table 下邊框顏色*/
}

#header{
    background-image: linear-gradient(to bottom,#ffffff,#ffffff) !important;
}
.smart-form .row{
    margin:0 !important;
}

table tbody button{
    margin: 2px;
}
    
.margin-bottom-20{
    margin-bottom:20px !important;
}

.font-ins > label, .font-ins > input{
    font-size:15px !important;
}

.modal-footer{
    padding:10px !important;
}

hr.simple{
    margin-top: 1px !important;
}

/*.modal-body{
    padding: 20px 20px 5px 20px !important;
}*//*CCD 20231016*/

.MessageBoxContainer{
    background:#000000 !important;
}

#SortList { 
    list-style-type: none; 
    margin: 0; 
    padding: 0; 
    /*width: 60%;*/ 
}

#SortList li { 
    margin: 0 3px 3px 3px; 
    padding: 0.4em; 
    padding-left: 1.5em; 
    font-size: 1.4em; 
    border-radius: 5px;
    /*height: 18px;*/ 
}

#SortList li span { 
    position: absolute; 
    margin-left: -1.3em; 
}

#Block_OrderSortList, #Block_OrderSortGroup, #Block_OrderOPm_Search{
    border:1px solid #ccc;
    padding:10px;
    border-radius:16px;
    text-align:center;
    /*padding-right:1px;
    padding-left:1px;*/
    border-color:red;
}

.Block_AgeLimitCondition{
    border:1px solid #ccc;
    padding:10px;
    border-radius:16px;
    text-align:center;
    /*padding-right:1px;
    padding-left:1px;*/
    border-color:dodgerblue;
}


#Block_OrderSortGroup > button {
    margin:5px;
}

.btn-noUsing{
    border-color:darkgray;
    background-color:gray;
    color:#fff;
}

.noUsing{
    color:gray;
}

.success {
    color:green;
}

.ckbSett {
    width:25px;
    height:25px;
}

.DisplayIdentity{
    font-size:18px;
}

.DisplayIdentity_vertical{
    padding-top:13px;
}

.inputNumWidth {
    width: 50px;
}

.dataTables_scrollBody > table > thead > tr {
    visibility: collapse;
    height: 0px !important;
}

.noticeTag {
    /*font-weight:900 !important;*/
    color:red;
    /*font-size:14px !important;*/
    font-weight:bolder;
}

.safeTag {
    color:green;
}

.th_Width_120 {
    width:120px;
}

.th_Width_90 {
    width:90px;
}

.th_Width_60 {
    width:60px;
}

.th_Width_50 {
    width:50px;
}

.th_Width_300 {
    width:300px;
}

.strongLabel {
    font-weight:900;
}

/*.btn-switch {
    margin:0px !important;
}*/





.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 29px;
  vertical-align:middle;
  margin-bottom: 0px !important;
  margin-top:2px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

label .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
  margin-bottom: 0px !important;
}

.slider:before {
  position: absolute;
  content: "";
  height: 22px;
  width: 24px;
  left: 4px;
  bottom: 4px; 
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #44d210;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.selectedTr{
    background-color: #ffffd1 !important;
}

@media (min-width:1024px) {
    .modal-lg-ct1 {
        width: 1024px;
    }
}

.tabsHeader{
    height:44px !important;
}

strong {
    font-size: 18px !important;
}

.tabsFont{
    font-size:22px !important;
    /*vertical-align:baseline !important;*/
}

.nav-tabs>li>a{
    padding:7px 5px 6px !important;
}

.tableNotWidth{
    width:inherit !important;
}

#bkbt button{
    margin:0px auto;
}

.btcenter{
    text-align:center;
}

.btnOpacity{
    opacity:50%;
}

.bkColor02{
    background-image:linear-gradient(to bottom,#ffffff,#356e35) !important;
}

.bkColor03{
    background-image:linear-gradient(to bottom,#ffffff,#6e587a) !important;
}

.bkColor04{
    background-image:linear-gradient(to bottom,#ffffff,#c79121) !important;
}

.bkColor05{
    background-image:linear-gradient(to bottom,#ffffff,#a65858) !important;
}

.bkColor40{
    background-image:linear-gradient(to bottom,#ffffff,#4c4f53) !important;
}

.bkColorZZ{
    background-image:linear-gradient(to bottom,#ffffff,#568a89) !important;
}

.bkColor1{
    background-image:linear-gradient(to bottom,#ffffff,#71843f) !important;
}

.bkColor2{
    background-image:linear-gradient(to bottom,#ffffff,#a8829f) !important;
}

.bkColor3{
    background-image:linear-gradient(to bottom,#ffffff,#b09b5b) !important;
}

.tbHd_small{
    height:45px !important;
}

.jarviswidget-color-cstpinkLight > header {
    border-color:#eabee9 !important;
    background:#ffe5eb;
    color:#000;
}

.calculT {
    /*font-size: 9px;*/
    /*    display: block;*/
    padding: 6px;
    position: absolute;
    top: -14px;
    /*    right: -5px;*/
    text-decoration: none;
    font-style: normal;
    background: #f3b23c;
    color: #ffffff;
    min-width: 25px;
    border-radius: 50%;
    /*    max-height: 25px;*/
    line-height: 15px;
    font-weight: 700;
    vertical-align: baseline;
    white-space: nowrap;
    text-align: center;
    border: 1px solid rgba(255,255,255,.1);
}

#BK_LABO_MONS_CLICK ul li {
    margin-left: 40px;
}

#BK_LABO_MONS_CLICK ul li.active a {
    font-weight: bolder;
}

.table > thead > tr > th {
    text-align: center !important;
    vertical-align:middle;
}

.Important {
    color: red;
    font-weight: bold;
}

.CircleBorder {
    border-radius: 4px !important;
    text-align:right;
    bottom:4px;
}

.NoticeBT {
    z-index: 30;
    position: relative;
    right: -10px;
    letter-spacing: 3px;
    top: 5px !important;
}

.NoticeBlock_T1 {
    border-color: #23a526;
    border-radius: 4px !important;
    position: relative;
    padding:10px;
    display:table;
}

.NoticeBlock_T2 {
    border-color: #f37474;
    border-radius: 4px !important;
    position: relative;
    padding: 10px;
    display: table;
}

.NoticeBlock_T3 {
    border-color: #32a9dd;
    border-radius: 4px !important;
    position: relative;
    padding: 10px;
    display: table;
}

.btn_NoticeBlock_T1 {
    color: #fff;
    background-color: #23a526;
    border-color: #23a526;
}

.btn_NoticeBlock_T2 {
    color: #fff;
    background-color: #f37474;
    border-color: #f37474;
}

.btn_NoticeBlock_T3 {
    color: #fff;
    background-color: #32a9dd;
    border-color: #32a9dd;
}

.font_NoticeBlock_T1 {
    color: #23a526;
}

.font_NoticeBlock_T2 {
    color: #f37474;
}

.font_NoticeBlock_T3 {
    color: #32a9dd;
}

.lockResize {
    resize: none;
}

.ResignTarget {
    color: darkgray !important;
}

.CountTarget{
    color:red;
    font-size: 22px !important;
    font-weight:bolder;
}

div#BK_EmpRecord {
    /*background-color: lightblue;*/
    /*width: 110px;*/
    height: 450px;
    overflow: auto;
}

.spLtkeyRc{
    position: relative;
    top:5px;
}

.spanWarning {
    color: #c79121;
}

.spanPrimary {
    color: #3276b1;
}

.spanSuccess {
    color: #739e73;
}

.spanDanger {
    color: #a90329;
}

.bg_building {
    background-image: url('../img/tah_building.jpg');
}

.notice em {
    /*font-size: 9px;*/
    display: block;
    padding: 2px;
    position: absolute;
    top: -8px;
    right: -5px;
    text-decoration: none;
    font-style: normal;
    background: #ED1C24;
    color: #fff;
    min-width: 25px;
    border-radius: 50%;
    max-height: 25px;
    line-height: 15px;
    font-weight: 700;
    vertical-align: baseline;
    white-space: nowrap;
    text-align: center;
    border: 1px solid rgba(255,255,255,.1);
    z-index: 100000;
}

.Indimg {
/*    background-image: url('../img/Tax_bg_Idx.png');*/
    background-size: cover;
    margin: 0;
    height: auto !important;
    width: auto;
    /*opacity:0.9;*/
    /* height:100%;
    width:100%;*/
}

.TbPos{
    top:60px;
/*    right:50px;*/
}

.txt-yellowDark {
    color: rgb(157 59 36);
}

.DescriptTD {
    padding: 5px 1px !important;
    text-align: left !important;
}

.no-padding-LR {
    padding-right: 0px !important;
    padding-left: 0px !important;
}

.qcCenter {
    display: flex;
    justify-content: center;
    align-items: center;
/*    height: 100vh;*/
}


.tdLeft {
    text-align: left !important;
}

.tdCenter {
    text-align: center !important;
}

#UserLogin{
    display:none;
}

.btnCenter {
    display: flex;
    justify-content: center; /*水平置中*/
    align-items: center; /*垂直置中*/
}

.lockResize {
    resize: none;
}

.no-margin-TB{
    margin-top:0px !important;
    margin-bottom:0px !important;
}

.no-margin-T {
    margin-top: 0px !important;
}

.no-margin-B {
    margin-bottom: 0px !important;
}

.moveR {
    position: relative;
    left: 8px;
}

.no-padding-T {
    padding-top: 0px !important;
}

.no-padding-B {
    padding-bottom: 0px !important;
}

.no-padding-L {
    padding-left: 0px !important;
}


.DateCenter {
    display: flex;
    justify-content: center; /*水平置中*/
    align-items: center; /*垂直置中*/
}

.SpanCursor {
    cursor: default;
    font-weight: bolder;
    margin-right: 10px;
    font-size: 14px;
    border: 1px solid;
    padding: 5px;
    border-radius: 5px;
}

.Rothers {
    position: relative;
    top: 2px;
    display: initial;
}

.Rlabel{
    padding-left:0px !important;
}

.btn-GreenLight {
    background-color: aquamarine;
    border: solid 1px #25d9c0;
}

.txt-GreenLight {
    color: #25d9c0;
    font-weight: bolder;
}

.btn-BlueLight {
    background-color: #c9f2ff;
    border: solid 1px #10d3ff;
}

.btn-OrangeLight {
    background-color: antiquewhite;
    border: solid 1px #ffd84a;
}

#toTop {
    display: none;
    position: fixed;
    right: 20px;
    bottom: 20px;
    padding: 10px 15px;
    font-size: 20px;
    /*    background: #777;
    background-image: url('../img/glass.jpg');*/
    /*font-family: 'Font Awesome';*/ /* 替换为您的字体库 */
    /*content: '\e81f';*/
    /*    background-repeat: no-repeat;*/
    color: black;
    cursor: pointer;
    border: solid 1px #000000;
    border-radius: 5px;
    z-index: 9999;
    background-color:#fff;
}

.toRow {
    display: flex;
    justify-content:flex-start;
}

.kv-file-upload {
    color: #fff !important;
    visibility: hidden !important;
}

.imgClick {
    cursor: pointer;
}

.logSettLottery {
    background-image: url('/content/img/Lottery.jpg?ddd');
    background-size: cover;
    margin: 0;
    height: auto !important;
    width: auto;
}







.LoginContainer {
    margin-left: 0px !important;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 12rem !important;
    /*    min-height:100vh;*/
}

.BK_Login {
    background: hsla(0,0%,100%,.3);
    position: relative;
    overflow: hidden;
    /* stylings */
    /* padding: 1em 0;*/
    border-radius: 30px;
    max-width: 500px;
    margin: 0 auto;
    box-shadow: 0 0 0 1px hsla(0,0%,100%,.3) inset, 0 .5em 1em rgba(0, 0, 0, 0.6);
    /*    text-shadow: 0 1px 1px hsla(0,0%,100%,.3);*/
    /*text-shadow: 0 1px 10px hsl(0deg 0% 100%);*/ /*0 1px 10px hsl(0deg 0% 0%)*/
    text-shadow: 0 1px 10px hsl(0deg 0% 0%);
}

    .BK_Login::before {
        content: '';
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        /*   background: rgba(255,0,0,.5); */
        filter: blur(5px);
        z-index: -1;
        margin: -10px;
    }

.LoginBox {
    line-height: 2em;
    font-family: palatino;
    font-style: italic;
    padding: 60px 20px 30px 20px;
    height: 480px;
    width: 350px;
    border-radius: 30px;
    border: 3px solid rgba(255, 255, 255, 0.2);
    /*
    display: flex;
    flex-direction: row;
    position: relative;

    background-color: rgba(255, 220, 220, 0);

    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);

    overflow: hidden;
    */
    /*height: 520; */
}

.LoginBox-Login {
    position: relative;
    width: 85%;
    left: 27px;
    transition: .5s ease-in-out;
}

.LoginHeader {
    text-align: center;
    margin: 30px 0px 15px 0px; /*    margin:30px 0; CCD 20230428*/
}

    .LoginHeader h3 {
        font-size: 22px;
        font-weight: bolder;
        margin-bottom: 8px;
    }

.LoginBox .input-group {
    width: 100%;
}

.input-group .input-field {
    margin: 20px 0px 10px 0px;
    position: relative;
}

.loginWidth {
    margin-left: 0px !important;
}

.kyInput {
    width: 100%;
    height: 50px;
    font-size: 15px;
    color: #040404;
    border: none;
    border-radius: 15px;
    padding: 0px 45px 0 20px; /*7px 45px 0 20px; CCD 2030428*/
    background-color: rgba(224, 223, 223, 0.6);
    backdrop-filter: blur(2px);
    outline: none;
}

.input-field label {
    position: absolute;
    left: 20px;
    top: 15px;
    font-size: 15px;
    transition: .3s ease-in-out;
}

.input-field:focus ~ label, .LoginBox:valid ~ label {
    top: 2px;
    font-size: 10px;
    color: #c12828;
    font-weight: bolder;
}

.LoginSubmit {
    width: 100%;
    height: 50px;
    font-size: 15px;
    font-weight: bolder;
    border: none;
    background: #f34714; /*#bc6202; CCD 20230428*/
    color: #fff;
    box-shadow: 0px 4px 20px rgba(62, 9, 9, 0.145);
    transition: .4s;
    border-radius: 15px;
}

    .LoginSubmit:hover {
        background: #bc0202; /*#db3e00; CCD 20230428*/
        box-shadow: 0px 4px 20px rgba(62, 9, 9, 0.32);
    }

.loginWidth {
    margin-left: 0px !important;
}

.txt-sys {
    color: white !important;
}